* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@import url(https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap);
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #2B7A78;
    padding: 10px 20px;
    position: fixed;
    top: 0px;
    width: 100%;
    height:60px
}

.nav-logo a {
    display: flex;
    align-items: center;
    color: #fffffe;
    font-size: 30px;
    font-weight: bold;
    text-decoration: none;
    transition: color 0.3s;
}

.nav-logo img {
    width: 60px;
    height: 60px;
    margin-right: 10px;
}

.nav-logo a:hover {
    color: #17252a;
}

.nav-menu {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
    margin-right: 80px;
}

.nav-item {
    margin-left: 20px;
    position: relative;
}

.nav-item a {
    color: #fffffe;
    text-decoration: none;
    padding: 10px 20px;
    display: block;
    transition: color 0.3s, background-color 0.3s, transform 0.3s;
}

.nav-item a:hover {
    color: #17252a;
    background-color: #DEF2F1 ;
    border-radius: 5px;
    transform: scale(1.1);
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #2b7a78;
    min-width: 160px;
    box-shadow: 0 8px 16px #2b7a78;
    z-index: 1;
    border-radius: 5px;
    opacity: 0;
    transition: opacity 0.3s;
}

.dropdown-content a {
    color: #17252a;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    transition: color 0.3s, background-color 0.3s;
}

.dropdown-content a:hover {
    background-color: #def2f1;
    color: #17252a; 
}

.dropdown:hover .dropdown-content {
    display: block;
    opacity: 1;
}

.dropdown-content a:first-child {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.dropdown-content a:last-child {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.dropdown-items {
    display: none;
    flex-direction: column;
    cursor: pointer;
    margin-right: 30px;
}

.dropdown-items span {
    background-color: #17252a;
    border-radius: 2px;
    display: block;
    height: 3px;
    margin: 5px 0;
    width: 25px;
    transition: all 0.3s;
}

.brand-img-footer {
    height: 70px;
    margin-bottom: 20px;
}

.footer {
    background-color: #2b7a78;
    color: #fffffe;
    text-align: center;
    padding: 10px 0;
    margin-top: 30px;
}

.footer-social-icons {
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 40px;
}

.footer-social-icons .social-icon {
    margin: 0 10px;
    text-decoration: none;
    color: #fffffe;
}

.footer-social-icons img {
    width: 30px;
    height: 30px;

}

.footer-links {
    margin-bottom: 20px;
}

.footer-links a {
    color: #fff;
    margin: 0 15px;
    text-decoration: none;
    font-size: 14px;
}

.footer-links a:hover {
    text-decoration: underline;
}

.footer-copyright {
    font-size: 14px;
}

.top-icon {
    height: 60px;
}


@media (max-width: 768px) {
    .nav-menu {
        display: none;
        flex-direction: column;
        width: 100%;
        position: absolute;
        top: 50px;
        left: 0;
        background-color: #2b7a78;
        padding: 0;
    }

    .nav-menu.active {
        display: flex;
    }

    .nav-item {
        margin-left: 30px;
    }

    .nav-item a {
        padding: 10px;
        border-top: 1px solid #2b7a78;
    }

    .dropdown-items {
        display: flex;
    }

}
.main{
    height:600px;
    width: 100%;
    background-color:#DEF2F1;
    margin: 1px;
}
.main h1{
    text-align: center;
    font-size: 90px;
    text-decoration: none;
   padding-top: 40px;
   font-family:Poppins;
   color: #17252A
}
.auto-type{
    color:white;
    font-weight: 50;
    color: #2b7a78;
}
.hr1{
    width: 60%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    color: #9dcecd;
}
.note{
    text-align: center;
    padding-top: 40px;
    font-size: 20px;
    color: #2B7A78;
}
.btn{
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 40px;
    padding: 20px 80px;
    font-size: 20px;
    border-radius: 10px;
    background: transparent;
    
}
.btn:hover{
    border-color: #2B7A78;
   color: #17252A ;
   font-size: 24px;
   transition: 1s;
  border-radius: 14px;
 
}
.button a{
    text-decoration: none;
}
.con{
    background-color:#9dcecd;
    margin-top: 80px;
}
.headingg{
    font-size: 40px;
    text-align: center;
    font-family: poppins;
    
}
.sub-content{
text-align: center;
margin-top: 20px;
font-size: 30px;

}

.subject-container {
    width: 90%;
    margin: 40px auto;
    padding: 20px;
    background-color:#DEF2F1;
    border: 1px solid #ddd;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.card-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 20px;
    width: 100%;
    height: 50vh;


}

.pc {
    color: red;
}

.card {

    background-color:#9dc6c5;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 20px;
    box-shadow: 1px 1px 9px rgba(0, 0, 0, 0.1);
}

.sub-h1 {
    text-align: center;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
}

.card h2 {
    margin-top: 0;
    text-align: center;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
}

.card ul {
    padding: 0;
    margin: 0;
}

.card li {
    padding: 5px;
    border-bottom: 1px solid #ddd;
    

}

.card li:last-child {
    border-bottom: none;
}

.card li:hover {
    background-color: #2B7A78;
    cursor: pointer;
    font-size: 19px;
    border: 5px rgb(218, 16, 16);
}

.star {
    color: red;

}


.deg {
    font-size: 25px;
   
    border-radius: 10px;
    text-align: center;
}

.deg1 {
    font-size: 25px;
  
    border-radius: 10px;
    text-align: center;
    margin-top: -3px;
}

.ex {
    font-size: 20px;
    background-color: #ff8906;
    border-radius: 0px;
    width: 180px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    height: 40px;
    margin-top: 20px;
}

.ex:hover {
    background-color: #fac588;
    transition: 0.8s ease-out;
    width: 150px;
    height: 40px;
}
.ref{
    height: 400px;
    width:100%;
    background-color: #525252;
    display: block;
    margin-left: auto;
    margin-right: auto;

}






body {
    transition: background-color 0.5s;
  }
  
  .dark-theme {
    background-color: #17252a;
    color: #fff;
  }
  
  .light-theme {
    background-color: #def2f1;
    color: #333;
  }
  
  .theme-changer {
    position: fixed;
    top: 1px;
    right: 1px;
    z-index: 1;
    cursor: pointer;
  }
  
  #theme-icon {
    width: 30px;
    height: 30px;
    margin-top: 22px;
    transition: transform 0.5s;
  }
  
  #theme-icon:hover {
    transform: scale(1.1);
  }






